File history missing during Deletion/Restore
Closed, ResolvedPublic

Description

Author: bidgee-wiki

Description:
Example and display of the bug in question

When a file is deleted but later restored, the history is missing from the file, even though the history was displayed prior to the undeletion/restore. Deleteing the file again and undeleting seems to make the issue worse with the history totally missing.

It isn't isolated as it is happening to every file on Commons and seems to have been occuring for around a week.
http://commons.wikimedia.org/wiki/Commons:Administrators%27_noticeboard#new_nasty_bug.21

See attachment for the example of the bug


Version: 1.21.x
Severity: critical

Attached:

bzimport set Reference to bz41615.
bzimport created this task.Via LegacyNov 1 2012, 2:05 AM
Dcoetzee added a comment.Via ConduitNov 1 2012, 4:37 AM

I observed this issue at:

http://commons.wikimedia.org/wiki/File:Van_Gogh_-_Starry_Night_-_Google_Art_Project.jpg

I deleted and restored the image, to complete a history merge, but found the resulting history was completely empty. I tried to delete and re-restore to fix it, but the missing revisions were not listed on the restore screen. I tried to resubmit my original restore request with a refresh, but received the following errors:

Errors were encountered while undeleting the file:

Unable to restore file archive ID 2060260 because it is not in the database.

It may have already been undeleted.

Unable to restore file archive ID 2060258 because it is not in the database.

It may have already been undeleted.

Unable to restore file archive ID 2060259 because it is not in the database.

It may have already been undeleted.

Ironholds added a comment.Via ConduitNov 1 2012, 5:24 AM

This needs to be *highest* priority. I'm going to stick out a plea on the internal engineering list and ask for any fix to be backported.

RobLa added a comment.Via ConduitNov 1 2012, 5:27 AM
  • Bug 41606 has been marked as a duplicate of this bug. ***
RobLa added a comment.Via ConduitNov 1 2012, 5:29 AM

Several people are working on this bug now. Assigning to Aude for now, but Aaron is also on this.

Ironholds added a comment.Via ConduitNov 1 2012, 5:31 AM

Thanks, robla :)

RobLa-WMF added a comment.Via ConduitNov 1 2012, 5:40 AM

Further note: this bug is in 1.21wmf3, which had been deployed to all non-Wikipedia sites earlier today. Our first response to this bug was to roll it back on almost all wikis (except test2, mediawiki.org and wikidata.org). Aude is working on a fix with Aaron's advice.

daniel added a comment.Via ConduitNov 1 2012, 11:31 AM

Patch I796fe54e that fixes bug 41617 seems to also fix this issue.

RobLa-WMF added a comment.Via ConduitNov 1 2012, 6:19 PM

This is now deployed, and 1.21wmf3 is reenabled.

RobLa-WMF added a comment.Via ConduitNov 1 2012, 6:39 PM

Our short-term fix for this problem was reverting this on commons (and most others) from 1.21wmf3 to 1.21wmf2. We've now just deployed the fixed version of 1.21wmf3 everywhere it was previously deployed. We should be able to clean up any instances where this caused problems, and we'll work out a plan for that shortly (see bug 41649)

daniel added a comment.Via ConduitNov 2 2012, 12:51 PM

Sorry for causing a mess :/

aaron added a comment.Via ConduitNov 6 2012, 7:50 PM

Are those complains about this bug? They seem more like bug 41794.

Aklapper added a comment.Via ConduitNov 12 2012, 2:37 PM

Daniel: Can this be closed as per merged patch (in comment 10)?
If not, what exactly is left to fix this completely?

daniel added a comment.Via ConduitNov 12 2012, 5:03 PM

I think it is fixed, but I can not confirm, because I do not have access to the server logs. I suggest to close it if there are no further reports.

daniel added a comment.Via ConduitNov 14 2012, 7:56 PM

closing again, no further reports of this happening. please reopen if needed.

Add Comment